commit:     fa17ecfdadf995af34f23e5495cf603de8428b9b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  5 05:33:15 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct  5 05:56:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa17ecfd

media-libs/libwebp: add 1.6.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/libwebp/Manifest                        |  1 +
 .../files/libwebp-1.6.0-configure-typo.patch       | 13 ++++
 media-libs/libwebp/libwebp-1.6.0.ebuild            | 77 ++++++++++++++++++++++
 3 files changed, 91 insertions(+)

diff --git a/media-libs/libwebp/Manifest b/media-libs/libwebp/Manifest
index 0f51424d2780..80266d4cd538 100644
--- a/media-libs/libwebp/Manifest
+++ b/media-libs/libwebp/Manifest
@@ -1,2 +1,3 @@
 DIST libwebp-1.4.0.tar.gz 4281370 BLAKE2B 
022cef190284b69af781718a82b28ee9806d7e6b1e642ee0833e608f64f691ef918a83e99db02335fb9f60d24d6f0cfc58e7e05e99a3f13d2118719d40a71722
 SHA512 
1217363fbb5c860b17c2ba4612f240f121c74ced6e3e58e8aa61252a9022f59893c5874bfa433cc50a7e65bac1ae2bfa99fa2cede070183b7a467f148cebb0bd
 DIST libwebp-1.5.0.tar.gz 4267494 BLAKE2B 
68e94f5592556ac4b57011a94abc651a187b23ca7cddd6791aec3f62bede7a7c176d4a67f8170a83990a6ff290a6716011bdb117818657b63bd3e21a8d5ed59e
 SHA512 
7a39594cf5585428f82d555b05e78aa63758a56841a313c0b74dfb4996afe37dddf92498d6123ff2a949a7209fb9097927f10ee75b5a38b481f110c892e5302b
+DIST libwebp-1.6.0.tar.gz 4296070 BLAKE2B 
cbdfa8616edce14bf3f8621d9d0d925884d0f40e8775c7d8810575c8bec88f10ed912029cc0a4bccf9bb9eb98824e4b1a89ec61ee53d7ef20a150450d8513168
 SHA512 
5c159d9760efcb92749092536daada22c0a73c20926c76097a5f0448ddbf874cf761324ca97925ca5f578b30477564b2b072b47667e504673797128b31cafcbf

diff --git a/media-libs/libwebp/files/libwebp-1.6.0-configure-typo.patch 
b/media-libs/libwebp/files/libwebp-1.6.0-configure-typo.patch
new file mode 100644
index 000000000000..fbeae7187700
--- /dev/null
+++ b/media-libs/libwebp/files/libwebp-1.6.0-configure-typo.patch
@@ -0,0 +1,13 @@
+Linebreaks aren't valid here.
+--- a/configure.ac
++++ b/configure.ac
+@@ -166,8 +166,7 @@ AC_ARG_ENABLE([avx2],
+                              [Disable detection of AVX2 support
+                               @<:@default=auto@:>@]))
+ 
+-AS_IF([test "x$enable_avx2" != "xno" -a "x$enable_sse4_1" != "xno"
+-      -a "x$enable_sse2" != "xno"], [
++AS_IF([test "x$enable_avx2" != "xno" -a "x$enable_sse4_1" != "xno" -a 
"x$enable_sse2" != "xno"], [
+   AVX2_FLAGS="$INTRINSICS_CFLAGS $AVX2_FLAGS"
+   TEST_AND_ADD_CFLAGS([AVX2_FLAGS], [-mavx2])
+   AS_IF([test -n "$AVX2_FLAGS"], [

diff --git a/media-libs/libwebp/libwebp-1.6.0.ebuild 
b/media-libs/libwebp/libwebp-1.6.0.ebuild
new file mode 100644
index 000000000000..2d839c310b79
--- /dev/null
+++ b/media-libs/libwebp/libwebp-1.6.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="A lossy image compression format"
+HOMEPAGE="https://developers.google.com/speed/webp/download";
+SRC_URI="https://storage.googleapis.com/downloads.webmproject.org/releases/webp/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0/7" # subslot = libwebp soname version
+if [[ ${PV} != *_rc* ]] ; then
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+fi
+IUSE="cpu_flags_arm_neon cpu_flags_x86_avx2 cpu_flags_x86_sse2 
cpu_flags_x86_sse4_1 gif +jpeg opengl +png static-libs swap-16bit-csp tiff"
+
+# TODO: dev-lang/swig bindings in swig/ subdirectory
+RDEPEND="
+       gif? ( media-libs/giflib:= )
+       jpeg? ( media-libs/libjpeg-turbo:= )
+       opengl? (
+               media-libs/freeglut
+               virtual/opengl
+       )
+       png? ( media-libs/libpng:= )
+       tiff? ( media-libs/tiff:= )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.2.3-libpng-pkg-config.patch
+       "${FILESDIR}"/${PN}-1.6.0-configure-typo.patch
+)
+
+src_prepare() {
+       default
+       # Needed for pkg-config patch; use elibtoolize instead if that's ever 
dropped
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local args=(
+               --enable-libwebpmux
+               --enable-libwebpdemux
+               --enable-libwebpdecoder
+               $(use_enable static-libs static)
+               $(use_enable swap-16bit-csp)
+               $(use_enable jpeg)
+               $(use_enable png)
+               $(use_enable opengl gl)
+               $(use_enable tiff)
+
+               $(use_enable cpu_flags_x86_avx2 avx2)
+               $(use_enable cpu_flags_x86_sse2 sse2)
+               $(use_enable cpu_flags_x86_sse4_1 sse4.1)
+               $(use_enable cpu_flags_arm_neon neon)
+
+               # Only used for gif2webp binary (bug #486646)
+               $(multilib_native_use_enable gif)
+       )
+
+       ECONF_SOURCE="${S}" econf "${args[@]}"
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       find "${ED}" -type f -name "*.la" -delete || die
+       dodoc AUTHORS ChangeLog doc/*.txt NEWS README.md
+}

Reply via email to